;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux planner-el package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The planner-el package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(setq load-path (cons (concat "/usr/share/"
                              (symbol-name flavor)
			      "/site-lisp/planner-el") load-path))

(autoload 'plan                       "planner" "Start your planning for the day, beginning with the last day's tasks." t)
(autoload 'planner-goto               "planner" "Jump to the planning page for DATE" t)
(autoload 'planner-show               "planner" "Show the plan page for DATE in another window, but don't select it." t)
(autoload 'planner-goto-today         "planner" "Jump to the planning page for today." t)
(autoload 'planner-goto-most-recent   "planner" "Go to the most recent day with planning info." t)
(autoload 'derived-mode               "planner" "An extension to Emacs Wiki that supports a planning system." t)
(autoload 'planner-insinuate-calendar "planner" "Hook Planner into Calendar." t)
(autoload 'planner-calendar-goto      "planner" "Goto the plan page corresponding to the calendar date." t)
(autoload 'planner-calendar-show      "planner" "Show the plan page for the calendar date under point in another window." t)
(autoload 'planner-insinuate-gnus     "planner" "Hook Planner into Gnus." t)
(autoload 'remember-to-planner-plan-page-dwim "remember" "Remember note to planner plan page.")
(autoload 'remember "remember" "Remember note.")
(autoload 'remember-region "remember" "Remember region.")
